#!/bin/sh
#
#ident	"@(#)drivers_info.sh	1.5	04/12/15 SMI"
#
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# List of drivers used by the system
# By Svetlana Kostyuchenko

prtconf -D |grep driver |sed 's/instance #[0-9]*//g' |sort |uniq | awk -F" " '{ print $2, $3, $4 } ' | sed 's/[()]//g' | uniq > /tmp/drv.out1 2>/dev/null
cat /tmp/drv.out1 | egrep -v '(pseudo|objmgr|options|chanmux)'>/tmp/drv.out2 2>/dev/null
echo "..................................................................."
echo
echo "		List of drivers used by the system: "
echo
cat /tmp/drv.out2 | sort |grep -n " " | sed 's/:d/)   d/g'|sed 's/^/          /g' 
echo "..................................................................."
rm /tmp/drv.out*
